CGAL 6.0.2 - 2D and 3D Linear Geometry Kernel

Loading...
Searching...
No Matches
Functions
CGAL::circumcenter()
2D and 3D Linear Geometry Kernel Reference » Global Kernel Functions

##

## Functions
template<typename Kernel >
CGAL::Point_2< Kernel > | CGAL::circumcenter (const CGAL::Point_2< Kernel > &p, const CGAL::Point_2< Kernel > &q)
| compute the center of the smallest circle passing through the points `p` and `q`.
template<typename Kernel >
CGAL::Point_2< Kernel > | CGAL::circumcenter (const CGAL::Point_2< Kernel > &p, const CGAL::Point_2< Kernel > &q, const CGAL::Point_2< Kernel > &r)
| compute the center of the circle passing through the points `p`, `q`, and `r`.
template<typename Kernel >
CGAL::Point_2< Kernel > | CGAL::circumcenter (const CGAL::Triangle_2< Kernel > &t)
| compute the center of the circle passing through the vertices of `t`.
template<typename Kernel >
CGAL::Point_3< Kernel > | CGAL::circumcenter (const CGAL::Point_3< Kernel > &p, const CGAL::Point_3< Kernel > &q)
| compute the center of the smallest sphere passing through the points `p` and `q`.
template<typename Kernel >
CGAL::Point_3< Kernel > | CGAL::circumcenter (const CGAL::Point_3< Kernel > &p, const CGAL::Point_3< Kernel > &q, const CGAL::Point_3< Kernel > &r)
| compute the center of the circle passing through the points `p`, `q`, and `r`.
template<typename Kernel >
CGAL::Point_3< Kernel > | CGAL::circumcenter (const CGAL::Triangle_3< Kernel > &t)
| compute the center of the circle passing through the vertices of `t`.
template<typename Kernel >
CGAL::Point_3< Kernel > | CGAL::circumcenter (const CGAL::Point_3< Kernel > &p, const CGAL::Point_3< Kernel > &q, const CGAL::Point_3< Kernel > &r, const CGAL::Point_3< Kernel > &s)
| compute the center of the sphere passing through the points `p`, `q`, `r`, and `s`.
template<typename Kernel >
CGAL::Point_3< Kernel > | CGAL::circumcenter (const CGAL::Tetrahedron_3< Kernel > &t)
| compute the center of the sphere passing through the vertices of `t`.

## Function Documentation

## ◆ circumcenter() [1/8]

template<typename Kernel >

CGAL::Point_2< Kernel > CGAL::circumcenter | ( | const CGAL::Point_2< Kernel > & | p,
|  | const CGAL::Point_2< Kernel > & | q
| ) |  |

`#include <CGAL/Kernel/global_functions.h>`

compute the center of the smallest circle passing through the points `p` and `q`.

Note: this is the same as `CGAL::midpoint(p, q)` but is provided for homogeneity.

## ◆ circumcenter() [2/8]

template<typename Kernel >

CGAL::Point_2< Kernel > CGAL::circumcenter | ( | const CGAL::Point_2< Kernel > & | p,
|  | const CGAL::Point_2< Kernel > & | q,
|  | const CGAL::Point_2< Kernel > & | r
| ) |  |

`#include <CGAL/Kernel/global_functions.h>`

compute the center of the circle passing through the points `p`, `q`, and `r`.

Precondition
  `p`, `q`, and `r` are not collinear.

## ◆ circumcenter() [3/8]

template<typename Kernel >

CGAL::Point_3< Kernel > CGAL::circumcenter | ( | const CGAL::Point_3< Kernel > & | p,
|  | const CGAL::Point_3< Kernel > & | q
| ) |  |

`#include <CGAL/Kernel/global_functions.h>`

compute the center of the smallest sphere passing through the points `p` and `q`.

Note: this is the same as `CGAL::midpoint(p, q)` but is provided for homogeneity.

## ◆ circumcenter() [4/8]

template<typename Kernel >

CGAL::Point_3< Kernel > CGAL::circumcenter | ( | const CGAL::Point_3< Kernel > & | p,
|  | const CGAL::Point_3< Kernel > & | q,
|  | const CGAL::Point_3< Kernel > & | r
| ) |  |

`#include <CGAL/Kernel/global_functions.h>`

compute the center of the circle passing through the points `p`, `q`, and `r`.

Precondition
  `p`, `q`, and `r` are not collinear.

## ◆ circumcenter() [5/8]

template<typename Kernel >

CGAL::Point_3< Kernel > CGAL::circumcenter | ( | const CGAL::Point_3< Kernel > & | p,
|  | const CGAL::Point_3< Kernel > & | q,
|  | const CGAL::Point_3< Kernel > & | r,
|  | const CGAL::Point_3< Kernel > & | s
| ) |  |

`#include <CGAL/Kernel/global_functions.h>`

compute the center of the sphere passing through the points `p`, `q`, `r`, and `s`.

Precondition
  `p`, `q`, `r`, and `s` are not coplanar.

## ◆ circumcenter() [6/8]

template<typename Kernel >

CGAL::Point_3< Kernel > CGAL::circumcenter | ( | const CGAL::Tetrahedron_3< Kernel > & | t | ) |

`#include <CGAL/Kernel/global_functions.h>`

compute the center of the sphere passing through the vertices of `t`.

Precondition
  `t` is not degenerate.

## ◆ circumcenter() [7/8]

template<typename Kernel >

CGAL::Point_2< Kernel > CGAL::circumcenter | ( | const CGAL::Triangle_2< Kernel > & | t | ) |

`#include <CGAL/Kernel/global_functions.h>`

compute the center of the circle passing through the vertices of `t`.

Precondition
  `t` is not degenerate.

## ◆ circumcenter() [8/8]

template<typename Kernel >

CGAL::Point_3< Kernel > CGAL::circumcenter | ( | const CGAL::Triangle_3< Kernel > & | t | ) |

`#include <CGAL/Kernel/global_functions.h>`

compute the center of the circle passing through the vertices of `t`.

Precondition
  `t` is not degenerate.